AppType (Social Portal ASL Extension 1.5.0-SNAPSHOT API)
Date: 2019-05-19

org.gcube.applicationsupportlayer.social.mailing

## Enum AppType

- java.lang.Object
- - java.lang.Enum<AppType>
  - - org.gcube.applicationsupportlayer.social.mailing.AppType

- All Implemented Interfaces:
    Serializable, Comparable<AppType>

      public enum AppType
      extends Enum<AppType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `MSG`
    `POST`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static AppType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static AppType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### POST

          public static final AppType POST

    - #### MSG

          public static final AppType MSG

  - ### Method Detail

    - #### values

          public static AppType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (AppType c : AppType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static AppType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2019. All Rights Reserved.